Skip to main content
POST
/
webhooks
/
{id}
/
test
Send test ping
curl --request POST \
  --url https://api.app.hrizn.io/v1/public/webhooks/{id}/test \
  --header 'X-API-Key: <api-key>'
{
  "data": {
    "webhook_id": "008ca3b4-3e47-48bd-89d0-cd3d46689f30",
    "delivered": false,
    "response_status": 404,
    "response_body": "{\"success\":false,\"error\":{\"message\":\"Token not found\"}}"
  }
}
Sends a test payload to the webhook URL. This helps verify that your endpoint is receiving and processing events correctly. Scope required: webhooks:write

Path parameters

id
string
required
UUID of the webhook subscription.

Request body

event_type
string
The event type to simulate. Defaults to test.ping.
{
  "data": {
    "webhook_id": "008ca3b4-3e47-48bd-89d0-cd3d46689f30",
    "delivered": false,
    "response_status": 404,
    "response_body": "{\"success\":false,\"error\":{\"message\":\"Token not found\"}}"
  }
}

Authorizations

X-API-Key
string
header
required

Your Hrizn API key (prefix hzk_)

Path Parameters

id
string
required

Webhook subscription ID

Response

Test result

data
object
Last modified on March 1, 2026